Skip to main content
Non-realtime

Qwen-ASR — Retrieve transcription

Check transcription status

GET
/api/v1/tasks/{task_id}
curl --location --request GET 'https://dashscope-intl.aliyuncs.com/api/v1/tasks/{task_id}' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header "X-DashScope-Async: enable" \
--header "Content-Type: application/json"
{
  "request_id": "1dca6c0a-0ed1-4662-aa39-xxxxxxxxxxxx",
  "output": {
    "task_id": "8fab76d0-0eed-4d20-929f-xxxxxxxxxxxx",
    "task_status": "SUCCEEDED",
    "submit_time": "2025-10-27 13:57:45.948",
    "scheduled_time": "2025-10-27 13:57:46.018",
    "end_time": "2025-10-27 13:57:47.079",
    "result": {
      "transcription_url": "https://dashscope-result.oss-cn-beijing.aliyuncs.com/result.json?Expires=1761631066&OSSAccessKeyId=LTAIxxxx&Signature=xxxx"
    }
  },
  "usage": {
    "seconds": 3
  }
}

Result format

This section describes the result format for the qwen3-asr-flash-filetrans model. For Fun-ASR models, see Fun-ASR result format. When the status is SUCCEEDED, transcription_url contains a JSON download link valid for 24 hours. After that, you can no longer query the task or download the result. Result file structure:
FieldTypeDescription
file_urlstringAudio file URL.
audio_info.formatstringAudio format.
audio_info.sample_rateintegerAudio sampling rate.
transcriptsarrayResults per audio track.

Transcript object

FieldTypeDescription
channel_idintegerTrack index, starting from 0.
textstringRecognized text.
sentencesarraySentence-level results.

Sentence object

FieldTypeDescription
sentence_idintegerSentence index, starting from 0.
begin_timeintegerStart timestamp (ms).
end_timeintegerEnd timestamp (ms).
textstringRecognized text.
languagestringDetected language. Values: zh, yue, en, ja, de, ko, ru, fr, pt, ar, it, es, hi, id, th, tr, uk, vi, cs, da, fil, fi, is, ms, no, pl, sv.
emotionstringDetected emotion. Values: surprised, neutral, happy, sad, disgusted, angry, fearful.
wordsarrayWord-level results. Returned only when enable_words is true.

Word object

FieldTypeDescription
begin_timeintegerStart timestamp (ms).
end_timeintegerEnd timestamp (ms).
textstringRecognized text.
punctuationstringPunctuation mark.

Result example

{
  "file_url": "https://***.wav",
  "audio_info": {
    "format": "wav",
    "sample_rate": 16000
  },
  "transcripts": [
    {
      "channel_id": 0,
      "text": "Senior staff, Principal Doris Jackson, Wakefield faculty, and of course my fellow classmates.I am honored to have been chosen to speak before my classmates along with the students across America today.",
      "sentences": [
        {
          "sentence_id": 0,
          "begin_time": 240,
          "end_time": 6720,
          "language": "en",
          "emotion": "happy",
          "text": "Senior staff, Principal Doris Jackson, Wakefield faculty, and of course my fellow classmates.",
          "words": [
            {
              "begin_time": 240,
              "end_time": 1120,
              "text": "Senior ",
              "punctuation": ""
            },
            {
              "begin_time": 1120,
              "end_time": 1200,
              "text": "staff",
              "punctuation": ","
            }
          ]
        },
        {
          "sentence_id": 1,
          "begin_time": 12268,
          "end_time": 17388,
          "language": "en",
          "emotion": "neutral",
          "text": "I am honored to have been chosen to speak before my classmates along with the students across America today.",
          "words": [
            {
              "begin_time": 12268,
              "end_time": 12428,
              "text": "I ",
              "punctuation": ""
            },
            {
              "begin_time": 12428,
              "end_time": 12508,
              "text": "am ",
              "punctuation": ""
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

string
header
required

DashScope API key. Get your API key from Qwen Cloud console.

Header Parameters

enum<string>
required

Must be set to enable.

enable

Path Parameters

string
required

The ID of the task returned by the Submit transcription task operation.

Response

200-application/json
string

The unique identifier for this call.

1dca6c0a-0ed1-4662-aa39-xxxxxxxxxxxx
object
object

Token consumption information.

Qwen-ASR — Retrieve transcription | Qwen Cloud